Bug 77770 - some man page paths are in "Provides"
some man page paths are in "Provides"
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: sendmail (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-13 07:50 EST by Moritz Barsnick
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-13 07:51:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moritz Barsnick 2002-11-13 07:50:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
In sendmail-8.12.6-1, the %provides section of the i386 RPM funnily supplies 
the full paths to a few man pages. 

Version-Release number of selected component (if applicable):
8.12.6-1

How reproducible:
Always

Steps to Reproduce:
1. rpm -qp --provides sendmail-8.12.6-1.i386.rpm
2.
3.
	

Actual Results:
smtpdaemon
/usr/sbin/sendmail
/usr/bin/mailq
/usr/bin/newaliases
/usr/bin/rmail
/usr/share/man/man1/mailq.1.gz
/usr/share/man/man1/newaliases.1.gz
/usr/share/man/man5/aliases.5.gz
sendmail = 8.12.6-1


Expected Results:
smtpdaemon
/usr/sbin/sendmail
/usr/bin/mailq
/usr/bin/newaliases
/usr/bin/rmail
sendmail = 8.12.6-1


Additional info:

I have yet to see a package which might require these particular entries. ;-)

It's probably some %find-provides magic looking for the corresponding binaries 
(mailq, newaliases, rmail).
Comment 1 Florian La Roche 2002-11-19 02:42:19 EST
Even if no other rpm requires them, they should be ok to stay in the
current rpm.

greetings,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.